<?php
/**
* @package   Master
* @author    YOOtheme http://www.yootheme.com
* @copyright Copyright (C) YOOtheme GmbH
* @license   http://www.gnu.org/licenses/gpl.html GNU/GPL
*/

// check compatibility
if (version_compare(PHP_VERSION, '5.3', '>=')) {

    // bootstrap warp
    require(__DIR__.'/warp.php');
}



/* function dj_modify_num_posts_for_testimonials($query)
{
    if ($query->is_main_query() && $query->is_post_type_archive('teachers') && !is_admin())
        $query->set('posts_per_page', 100);
}

add_action('pre_get_posts', 'dj_modify_num_posts_for_testimonials'); */



/* -----------------------------------------------------------------------------------
								Custom post type "our friends"
--------------------------------------------------------------------------------------*/

add_action( 'init', 'ourfriends' );

function ourfriends() {
	register_post_type('ourfriends',
		array(
			'labels' => array(
				'name' => __( 'Our friends' ),
				'singular_name' => __( 'Our friend' ),
				'add_new' => __( 'Add new friend' ),
				'add_new_item' => __( 'Adding new friend' )
				),
			'public' => true,
			'has_archive' => true,
			'menu_icon'           => 'dashicons-groups',
			'supports' => array( 'page-attributes', 'title' , 'editor', 'thumbnail'),


			)
		);
}


function ourfriends_archive_page_count( $query ) {
  if ( !is_admin() && $query->is_main_query() && is_post_type_archive( 'ourfriends' ) ) {
    $query->set( 'posts_per_page', '100' );
    $query->set( 'orderby', 'rand' );
  }
}
add_action( 'pre_get_posts', 'ourfriends_archive_page_count' );

/* -----------------------------------------------------------------------------------
								Custom post type "staff"
--------------------------------------------------------------------------------------*/

add_action('init', 'icl_theme_register_custom', 0);
function icl_theme_register_custom() {
	register_post_type( 'workshops',
		array(
			'labels' => array(
				'name' => __( 'Events & workshops' ),
				'singular_name' => __( 'Events & workshops' ),
				'add_new' => __( 'Add new Event & Workshop' ),
				'add_new_item' => __( 'Adding Event & Workshop' )
				),
			'public' => true,
			'has_archive' => true,
			'menu_icon'           => 'dashicons-calendar-alt',
			'supports' => array( 'page-attributes', 'title' , 'editor'),


			)
		);

	register_post_type( 'staff',
		array(
			'labels' => array(
				'name' => __( 'Staff' ),
				'singular_name' => __( 'Staff' ),
				'add_new' => __( 'Add new Staff' ),
				'add_new_item' => __( 'Adding new Staff' )
				),
			'public' => true,
			'has_archive' => true,
			'menu_icon'           => 'dashicons-businessman',
			'supports' => array( 'page-attributes', 'title' , 'editor', 'thumbnail'),


			)
		);

	register_post_type( 'classes',
		array(
			'labels' => array(
				'name' => __( 'Classes' ),
				'singular_name' => __( 'Class' ),
				'add_new' => __( 'Add new class' ),
				'add_new_item' => __( 'Adding class' )
				),
			'public' => true,
			'has_archive' => true,
			'menu_icon'           => 'dashicons-clipboard',
			'supports' => array( 'page-attributes', 'title' , 'editor'),


			)
		);
}


function class_archive_page_count( $query ) {
  if ( !is_admin() && $query->is_main_query() && is_post_type_archive( 'classes' )) {
    $query->set( 'posts_per_page', '100' );
   // $query->set( 'orderby', 'rand' );
  }
}
add_action( 'pre_get_posts', 'class_archive_page_count' );

function staff_archive_page_count( $query ) {
  if ( !is_admin() && $query->is_main_query() && is_post_type_archive( 'staff' )) {
    $query->set( 'posts_per_page', '100' );
    $query->set( 'orderby', 'rand' );
  }
}
add_action( 'pre_get_posts', 'staff_archive_page_count' );



function sk_portfolio_archive_random( $query ) {

	if( $query->is_main_query() && !is_admin() && is_post_type_archive( 'staff' ) ) {
		$query->set( 'orderby', 'rand' );
	}

}
add_action( 'pre_get_posts', 'sk_portfolio_archive_random' );

/* -----------------------------------------------------------------------------------
								Custom post type "workshops"
--------------------------------------------------------------------------------------*/






/* -----------------------------------------------------------------------------------
								Custom post type "classes"
--------------------------------------------------------------------------------------*/



/* -----------------------------------------------------------------------------------
								Mindbody
--------------------------------------------------------------------------------------*/

require(__DIR__ .'/includes/mbApi.php');

function connect_mb(){
    $mb = new \DevinCrossman\Mindbody\MB_API(array(
        "SourceName"=>'RASAYOGARIVEGAUCHE',
        "Password"=>'AJ0w9aO7mEEsG209NV7EPuOhwlQ=',
        "SiteIDs"=>array('932')
        ));
    return $mb;
}

require(__DIR__ .'/includes/updateClassesTeachers.php');

require(__DIR__ .'/includes/classes.php');
require(__DIR__ .'/includes/classstaff.php');
require(__DIR__ .'/includes/workshops.php');



/*
// Update classes hook
function update_classes (){
	GetClasses_wp();
}

// Schedule Cron Job Event
function cron_update_classes() {
	if ( ! wp_next_scheduled( 'update_classes' ) ) {
		wp_schedule_event( current_time( 'timestamp' ), 'hourly', 'update_classes' );
	}
}
add_action( 'wp', 'cron_update_classes' );
 */


function sortClassesByDate($classes = array()) {
    $classesByDate = array();
    foreach($classes as $class) {
      $classDate = date("Y-m-d", strtotime($class['StartDateTime']));
      if(!empty($classesByDate[$classDate])) {
        $classesByDate[$classDate] = array_merge($classesByDate[$classDate], array($class));
      } else {
        $classesByDate[$classDate] = array($class);
      }
    }
    ksort($classesByDate);
    foreach($classesByDate as $classDate => &$classes) {
      usort($classes, function($a, $b) {
        if(strtotime($a['StartDateTime']) == strtotime($b['StartDateTime'])) {
          return 0;
        }
        return $a['StartDateTime'] < $b['StartDateTime'] ? -1 : 1;
      });
    }
    return $classesByDate;
  }


function slugify($text)  {
// replace non letter or digits by -
	$text = preg_replace('~[^\pL\d]+~u', '-', $text);

// transliterate
	$text = iconv('utf-8', 'us-ascii//TRANSLIT', $text);

// remove unwanted characters
	$text = preg_replace('~[^-\w]+~', '', $text);

// trim
	$text = trim($text, '-');

// remove duplicate -
	$text = preg_replace('~-+~', '-', $text);

// lowercase
	$text = strtolower($text);

	if (empty($text)) {
		return 'n-a';
	}

	return $text;
}



/* -----------------------------------------------------------------------------------
								Mindbody
--------------------------------------------------------------------------------------*/

function the_slug($echo=true){
  $slug = basename(get_permalink());
  do_action('before_slug', $slug);
  $slug = apply_filters('slug_filter', $slug);
  if( $echo ) echo $slug;
  do_action('after_slug', $slug);
  return $slug;
}

function get_stripe(){
  require_once('init.php');
$stripe = array(
  "secret_key"      => "sk_test_c0L0lmuOLd5oah4iQkZSaMBL",
  "publishable_key" => "pk_test_p7CCdGaaKDf8ehmEWBYFHN35"
);
\Stripe\Stripe::setApiKey($stripe['secret_key']);
}


