
<section id="filters">
  <div class="uk-panel">
    <form class="uk-form uk-form-horizontal">
      <div >
        <select class="form-control" data-filter-group="day" id="by-day">
         <option data-filter="" value="">Day</option>
         <option data-filter=".Monday" value=".Monday">Monday</option>
         <option data-filter=".Tuesday" value=".Tuesday">Tuesday</option>
         <option data-filter=".Wednesday" value=".Wednesday">Wednesday</option>
         <option data-filter=".Thursday" value=".Thursday">Thursday</option>
         <option data-filter=".Friday" value=".Friday">Friday</option>
         <option data-filter=".Saturday" value=".Saturday">Saturday</option>
         <option data-filter=".Sunday" value=".Sunday">Sunday</option>
       </select>
       <select class='form-control' data-filter-group='teacher' id='by-teacher'>
        <option data-filter='' value=''>Teacher</option>
        <?php $loop = new WP_Query( array( 'post_type' => 'staff', 'posts_per_page' => -1, 'orderby' => 'title',  'order' => 'ASC') ); ?>
        <?php while ( $loop->have_posts() ) : $loop->the_post(); ?>
          <option data-filter='.<?php the_slug();?>' value='.<?php the_slug();?>'><?php the_title(); ?></option>
        <?php endwhile; ?>
      </select>
      <select class='form-control uk-text-capitalize' data-filter-group='classtype' id='by-classtype'>
        <option data-filter='' value=''>Class Type</option>
        <?php $loop = new WP_Query( array( 'post_type' => 'classes', 'posts_per_page' => -1, 'orderby' => 'title',  'order' => 'ASC' ) ); ?>
        <?php while ( $loop->have_posts() ) : $loop->the_post(); ?>
          <option data-filter='.<?php the_title(); ?>' value='.<?php the_title(); ?>'><?php the_title(); ?></option>
        <?php endwhile; ?>
      </select>
      <select class="form-control" data-filter-group="level" id="by-level">
       <option data-filter="" value="">Level</option>
       <option data-filter=".1" value=".1">1</option>
       <option data-filter=".2" value=".12">1/2</option>
       <option data-filter=".3" value=".2">2</option>
       <option data-filter=".4" value=".tout-niveaux">tout niveaux</option>
     </select>

   </div>
 </form>
</div>
</section>

<div id="ClassSchedules" class='uk-text-nowrap uk-overflow-container'>


  <?php
  $mb = connect_mb();

  $classesrest = $mb->GetClasses(array('StartDateTime'=>date('Y-m-d'), 'EndDateTime'=>date('Y-m-d', strtotime('today + 14 days')), 'orderby'=> 'StartDateTime' , 'sort' => 'asc'));
  $data_visit = $mb->GetClassSchedules(array());
  $classesrest = $classesrest['GetClassesResult']['Classes']['Class'];
  $startdatefilter = sortClassesByDate($classesrest);
  $data_visit = $data_visit['GetClassSchedulesResult']['ClassSchedules']['ClassSchedule'];
  echo "<div id='cs_wrapper'>";
  echo "<table class='uk-table uk-table-hover uk-text-nowrap no-transition list-group tb-data' id='isotope' >";
  echo "    <thead>";
  echo "      <tr class='stamp tb-data-single list-group-item titles'>";
  echo "          <th class='classdate'>DATE</th>";
  echo "          <th class='classtime'>TIME</th>";
  echo "          <th class='signup'></th>";
  echo "          <th class='teacher'>INSTRUCTOR</th>";
  echo "          <th class='classtype'>CLASS TYPE</th>";
  echo "          <th class='classname'>CLASS</th>";
  echo "          <th class='classlevel'>CLASS LEVEL</th>";
  echo "      </tr>";
  echo "    </thead>";
  echo "    <tbody>";
  foreach ($startdatefilter as $key => $value) {
    $header_date = date_format(new DateTime($key), 'l M j, o');
    $class_day = date_format(new DateTime($key), 'l');
    if (strtotime($timeA) >= strtotime($timeB))
      echo "<tr class='tb-data-single list-group-item divider'><td colspan='6'><span></span></tr>";
    foreach ($value as $item) {
			//$current_time->setTimezone(new DateTimeZone('Europe/Paris'));
      $class_time = strtotime($item['StartDateTime']);
      $current_end_time = strtotime($item['EndDateTime']);
      $current_time = time();

      $class_date = date_format(new DateTime($item['StartDateTime']), 'D M j');
      $time_begin = date_format(new DateTime($item['StartDateTime']), 'H\hi');
      $time_end = date_format(new DateTime($item['EndDateTime']), 'H\hi');
      $TotalBooked = $item['TotalBooked'];
      $WebCapacity = $item['WebCapacity'];
      $class_id = $item['ID'];
      $class_name = $item['ClassDescription']['Name'];
           // $class_link = $item['ClassScheduleID'];
      $class_type_link    = $item["ClassDescription"]['SessionType']['ID'];
      $class_type_name    = $item["ClassDescription"]['SessionType']['Name'];
      $staff_name = $item['Staff']['Name'];
      $staff_link = $item['Staff']['ID'];
      $class_level = $item['ClassDescription']['Level']['Name'];
      $class_level_id = $item['ClassDescription']['Level']['ID'];
      $class_type = $item['ClassDescription']['SessionType']['Name'];

      echo "        <tr class='tb-data-single list-group-item ".$class_day." ". $staff_link ." ". $class_link ." ". $class_level_id ." ". $class_type."' data-day='".$class_day."' data-teacher='". $staff_link ."' data-classtype='". $class_type ."' data-classlevel='". $class_level_id ."' data-signup='signup' data-classtime='classtime' >";
      echo "          <td class='classdate'>".$class_date."</td>";
      echo "          <td class='classtime'>".$time_begin." - ".$time_end."</td>";
      if($current_end_time > $current_time) {
        echo "          <td class='signup uk-text-center'><a class='sign_up btn btn_smll' href='". home_url() ."/cart/?class=$class_id'>SIGN UP</a><span class='availability uk-hidden'>".$TotalBooked." of ".$WebCapacity." open</span></td>";
      } else {
        echo "          <td class='signup uk-text-center'><a class='sign_up btn btn_smll uk-hidden' href='". home_url() ."/cart/?class=$class_id'>SIGN UP</a><span class='availability uk-hidden'>".$TotalBooked." of ".$WebCapacity." open</span></td>";
      }
      echo "          <td class='teacher'><a href='". home_url() ."/staff/". $staff_link ."/'>". $staff_name ."</a></td>";
      echo "          <td class='classtype uk-text-capitalize'><a href='". home_url() ."/classes/". $class_type_link ."/'>". $class_type_name ."</a></td>";
      echo "          <td class='classname uk-text-capitalize'>". $class_name ."</td>";
      echo "          <td class='classlevel uk-text-center'><span class='uk-button uk-button-small'>". $class_level ."</span></td>";
      echo "        </tr>";

    }

  }
  echo "  </tbody >";
  echo "  </table >";
  echo "  </div >";



  ?>

</div>
<div style='float:right;margin-top:10px'><img style='border:none; height: 2.0em;' src='<?php echo home_url(); ?>/wp-content/uploads/MINDBODY-PoweredByLogo-Horizontal.png' alt='powered by MINDBODY'></div>


<script src='https://cdnjs.cloudflare.com/ajax/libs/jquery/2.1.3/jquery.min.js'></script>
<script src='https://cdnjs.cloudflare.com/ajax/libs/jquery.isotope/2.0.0/isotope.pkgd.min.js'></script>
<script>
  $(function() {

    var $container = $('#isotope').isotope({
      itemSelector : '.tb-data-single',
      stamp: '.stamp',
      layoutMode : 'masonry',
      transitionDuration : 200,
      getSortData: {
        day : '[data-day]',
        teacher : '[data-teacher]',
        classtype : '[data-classtype]',
        classlevel : '[data-classlevel]',
        signup : '[data-signup]',
        classtime : '[data-classtime]'
      }
    });

    var filters = {};

    $('#filters select').on('change', function() {
      var $this = $(this);
    // get group key
    var filterGroup = $this.attr('data-filter-group');
    // set filter for group
    //filters[filterGroup] = $this.value;
    filters[filterGroup] = $this.find(':selected').attr('data-filter');
    // combine filters
    var filterValue = '';
    for (var prop in filters) {
      filterValue += filters[prop];
    }
    // set filter for Isotope
    $container.isotope({
      filter : filterValue
    });
  });


  });

</script>
