if(!window.hcLoadScript) {
  window.hcLoadScript = function(url, callback) {
    var head = document.getElementsByTagName('head')[0];
    var script = document.createElement('script');
    script.type = 'text/javascript';
    script.src = url;
    if(script.addEventListener) {
      script.addEventListener('load', callback, false);
    }
    else if(script.readyState) {
      script.onreadystatechange = callback;
    }
    head.appendChild(script);
  };
}

if(!window.HealcodeWidget) {
  window.HealcodeWidget = function(widgetProperties) {
    this.type = widgetProperties.type;
    this.name = widgetProperties.name;
    this.id = widgetProperties.id;
    this.optionsQuery = widgetProperties.options_query;
    this.deployURL = widgetProperties.deploy_url;
    this.containerID = widgetProperties.container_id;
  };
}

if(!window.hcWidgetCollection) {
  window.hcWidgetCollection = [];
}

// polyfill for Array.prototype.every() method (for IE8)
if (!Array.prototype.every)
{
  Array.prototype.every = function(fun /*, thisArg */)
  {
    'use strict';

    if (this === void 0 || this === null)
      throw new TypeError();

    var t = Object(this);
    var len = t.length >>> 0;
    if (typeof fun !== 'function')
        throw new TypeError();

    var thisArg = arguments.length >= 2 ? arguments[1] : void 0;
    for (var i = 0; i < len; i++)
    {
      if (i in t && !fun.call(thisArg, t[i], i, t))
        return false;
    }

    return true;
  };
}

// polyfill for Array.prototype.map() method (for IE8)
if (!Array.prototype.map)
{
  Array.prototype.map = function(fun /*, thisArg */)
  {
    "use strict";

    if (this === void 0 || this === null)
      throw new TypeError();

    var t = Object(this);
    var len = t.length >>> 0;
    if (typeof fun !== "function")
      throw new TypeError();

    var res = new Array(len);
    var thisArg = arguments.length >= 2 ? arguments[1] : void 0;
    for (var i = 0; i < len; i++)
    {
      // NOTE: Absolute correctness would demand Object.defineProperty
      //       be used.  But this method is fairly new, and failure is
      //       possible only if Object.prototype or Array.prototype
      //       has a property |i| (very unlikely), so use a less-correct
      //       but more portable alternative.
      if (i in t)
        res[i] = fun.call(thisArg, t[i], i, t);
    }

    return res;
  };
}

// polyfill for Array.prototype.forEach() method (for IE8)
if (!Array.prototype.forEach)
{
  Array.prototype.forEach = function(fun /*, thisArg */)
  {
    "use strict";

    if (this === void 0 || this === null)
      throw new TypeError();

    var t = Object(this);
    var len = t.length >>> 0;
    if (typeof fun !== "function")
      throw new TypeError();

    var thisArg = arguments.length >= 2 ? arguments[1] : void 0;
    for (var i = 0; i < len; i++)
    {
      if (i in t)
        fun.call(thisArg, t[i], i, t);
    }
  };
}

window.hcMobileCheck = function() {
  var windowWidth = (screen.width <= screen.height ? screen.width : screen.height);
  return windowWidth <= 460;
}

if(!window.healcodeInitialize) {
  window.healcodeInitialize = function(widgets) {
    var oldWidgetDeployments = widgets;

    function hcWidgetJsLoad() {

      var mobileFlag = window.hcMobileCheck();
      if (typeof mobileFlag !== 'boolean') mobileFlag = false;

      var customElementWidgets = document.querySelectorAll('healcode-widget');
      var customElementWidgetCount = customElementWidgets.length;
      var customElementWidgetTypes = [];
      for (var i=0; i<customElementWidgetCount; i++) {
        customElementWidgetTypes.push(customElementWidgets[i].getAttribute('data-type'));
      }
      var totalWidgetCount = oldWidgetDeployments.length + customElementWidgetCount;

      function containsWidget(widgetType) {
        var oldDeploymentCheck = !oldWidgetDeployments.every(function(widget, index, array) {
          return(widget.name !== widgetType);
        });
        var customElementCheck = !customElementWidgetTypes.every(function(customElementType, index, array) {
          return(customElementType !== widgetType);
        });
        return (oldDeploymentCheck || customElementCheck);
      }

      function storeDeployURL(widget, index, array) {
        hcjq.ajax('https://widgets.healcode.com/widgets/' + widget.type + '/' + widget.name + '/' + widget.id + '/store_deploy_url.json?deploy_url=' + widget.deployURL + '&callback=?', {dataType: 'jsonp'});
      }

      var widgetCheck = {
        schedule:     containsWidget('schedules'),
        appointment:  containsWidget('appointments'),
        enrollment:   containsWidget('enrollments'),
        registration: containsWidget('registrations'),
        prospect:     containsWidget('prospects'),
        classList:    containsWidget('class_lists'),
        staffList:    containsWidget('staff_lists'),
        social:       containsWidget('social'),
        rewards:      containsWidget('rewards'),
        healcodeLink: containsWidget('account-link') || containsWidget('cart-link') || containsWidget('pricing-link')
      };

      var widgetRenderURLs = oldWidgetDeployments.map(function(widget, index, array) {
        var widgetMobileFlag = (widget.optionsQuery ? "&mobile=" + mobileFlag : "?mobile=" + mobileFlag);
        return 'https://widgets.healcode.com/widgets/' + widget.type + '/' + widget.name + '/' + widget.id + '.js' + widget.optionsQuery + widgetMobileFlag;
      });

      var postWidgetScripts = [{
        test: !window.hcCSSModal && (widgetCheck.schedule || widgetCheck.appointment || widgetCheck.enrollment || widgetCheck.classList || widgetCheck.staffList || widgetCheck.healcodeLink),
        yep: ['https://s3.amazonaws.com/assets.healcode.com/javascripts/modal.js', 'https://s3.amazonaws.com/assets.healcode.com/stylesheets/modal.css']
      }];

      function registerHealcodeWidgetCustomElement($, domain, loadCounter) {

        function createLink(widgetElement, linkType, linkLoadCounter) {
          var linkClass = widgetElement.getAttribute('data-link-class');
          linkClass = (linkClass ? linkClass : '');
          var siteID = widgetElement.getAttribute('data-site-id');
          var linkTitle = linkType;
          var linkDataURL = 'https://widgets.healcode.com/mb/sites/' + siteID + '/';
          linkDataURL += (linkType === 'account' ? 'client' : 'cart');
          if(linkType === 'pricing') {
            var serviceID = widgetElement.getAttribute('data-service-id');
            linkTitle = serviceID;
            linkDataURL += '/add_service?mbo_item_id=' + serviceID;
          }
          var linkInnerHTML = widgetElement.getAttribute('data-inner-html').replace(/"/g, "'");
          var serviceLink = '<a href="#modal-iframe" class="' + linkClass + '" data-url="' + linkDataURL + '" rel="modal" rev="iframe|400|600" title="' + linkTitle + '">' + linkInnerHTML + '</a>';
          $(widgetElement).html(serviceLink).promise().done(function() {
            linkLoadCounter.increment();
          });
        }

        function createWidget(widgetElement, widgetType, widgetLoadCounter) {
          var widgetPartner = widgetElement.getAttribute('data-widget-partner');
          var widgetID = widgetElement.getAttribute('data-widget-id');
          var widgetOptions = '?';
          var requestURL = 'https://widgets.healcode.com/widgets/' + widgetPartner + '/' + widgetType + '/' + widgetID + '.json' + widgetOptions + 'callback=?';
          $.ajax(requestURL, {dataType: 'jsonp'})
          .done(function(data) {
            var htmlString = data.contents;
            $(widgetElement).html(htmlString).promise().done(function() {
              widgetLoadCounter.increment();
            });
          });
        }

        function updateLinkInnerHTML(widgetElement, newText) {
          var formattedText = newText.replace(/"/g, "'");
          $('a', widgetElement).html(formattedText);
        }

        function updateLinkClass(widgetElement, newClass) {
          var formattedClass = newClass.replace(/"/g, "'");
          $('a', widgetElement).attr('class', newClass);
        }

        var healcodeWidget = Object.create(HTMLElement.prototype);

        healcodeWidget.createdCallback = function() {
          var widgetType = this.getAttribute('data-type');
          var linkCheck = widgetType.match(/(.*)-link$/i);
          if(linkCheck) {
            var linkType = linkCheck.pop();
            createLink(this, linkType, loadCounter);
          } else {
            $(this).html('<div><img src="https://s3.amazonaws.com/assets.healcode.com/images/icons/ajax-loader.gif" alt="Ajax-loader" class="hc_loading_image" style="display:block; margin: 1em auto;" ></div>');
            createWidget(this, widgetType, loadCounter);
          }
        };

        healcodeWidget.attributeChangedCallback = function(attrName, oldVal, newVal) {
          var widgetType = this.getAttribute('data-type');
          var linkCheck = widgetType.match(/(.*)-link$/i);
          if(linkCheck) {
            if(attrName === 'data-inner-html') {
              updateLinkInnerHTML(this, newVal);
            } else if(attrName === 'data-link-class') {
              updateLinkClass(this, newVal);
            }
          }
        };

        document.registerElement('healcode-widget', {prototype: healcodeWidget});
      }

      window.hcYepnope([{
        test: window.hcjq && window.hcjq.ui && window.hcjq.rails,
        nope: ['https://ajax.googleapis.com/ajax/libs/jquery/1.8.1/jquery.min.js', 'https://s3.amazonaws.com/assets.healcode.com/javascripts/jquery-ui.widget.min.js', 'https://s3.amazonaws.com/assets.healcode.com/javascripts/jquery_ujs.js', 'https://s3.amazonaws.com/assets.healcode.com/stylesheets/widgets/jquery-ui/jquery-ui.widget.css', 'https://s3.amazonaws.com/assets.healcode.com/javascripts/hcjq.js'],
        complete: function() {
          if(!window.healcodePreview) {
            oldWidgetDeployments.forEach(storeDeployURL);
          }
        }
      }, {
        test: !window.hcSessionFilter && (widgetCheck.schedule || widgetCheck.enrollment),
        yep: 'https://s3.amazonaws.com/assets.healcode.com/javascripts/filter_sessions.js'
      }, {
        test: !(window.hcjq && window.hcjq.validationEngine) && (widgetCheck.prospect || widgetCheck.registration || widgetCheck.appointment),
        yep: ['https://s3.amazonaws.com/assets.healcode.com/javascripts/jquery.validationEngine.js', 'https://s3.amazonaws.com/assets.healcode.com/javascripts/jquery.validationEngine-en.js', 'https://s3.amazonaws.com/assets.healcode.com/stylesheets/validationEngine.jquery.css', 'https://s3.amazonaws.com/assets.healcode.com/javascripts/parsley.min.hcjq.js', 'https://s3.amazonaws.com/assets.healcode.com/stylesheets/parsley.css']
      }, {
        test: !(window.hcjq && window.hcjq.fn.placeholder) && (widgetCheck.prospect || widgetCheck.registration),
        yep: 'https://s3.amazonaws.com/assets.healcode.com/javascripts/jquery.placeholder.min.js'
      }, {
        test: !window.StateSelect && widgetCheck.registration,
        yep: 'https://s3.amazonaws.com/assets.healcode.com/javascripts/state_select_new.js'
      }, {
        test: !window.hcAppointmentFilterSessions && widgetCheck.appointment,
        yep: "https://s3.amazonaws.com/assets.healcode.com/javascripts/filter_appt_sessions.js"
      }, {
        test: !window.hcScheduleWidget && widgetCheck.schedule,
        yep: ["https://s3.amazonaws.com/assets.healcode.com/javascripts/schedule.js"]
      }, {
        test: !window.hcEnrollmentWidget && widgetCheck.enrollment,
        yep: "https://s3.amazonaws.com/assets.healcode.com/javascripts/enrollment.js"
      }, {
        test: !window.hcAppointmentWidget && widgetCheck.appointment,
        yep: ['https://s3.amazonaws.com/assets.healcode.com/javascripts/appointment.js', 'https://s3.amazonaws.com/assets.healcode.com/javascripts/jquery.weekpicker.js'],
        callback: function(url, result, key) {
          window.hcAppointmentWidget = true;
        }
      }, {
        test: !window.hcRegistrationWidget && widgetCheck.registration,
        yep: ['https://s3.amazonaws.com/assets.healcode.com/javascripts/registration.js'],
        callback: function(url, result, key) {
          window.hcRegistrationWidget = true;
        }
      }, {
        test: !window.hcProspectWidget && widgetCheck.prospect,
        yep: ['https://s3.amazonaws.com/assets.healcode.com/javascripts/prospect.js'],
        callback: function(url, result, key) {
          window.hcProspectWidget = true;
        }
      }, {
        test: !window.hcWidgetJs && (widgetCheck.schedule || widgetCheck.appointment || widgetCheck.enrollment || widgetCheck.classList || widgetCheck.staffList || widgetCheck.healcodeLink),
        yep: 'https://s3.amazonaws.com/assets.healcode.com/javascripts/widget.js',
        callback: function(url, result, key) {
          window.hcWidgetJs = true;
        }
      }, {
        test: customElementWidgetCount > 0,
        yep: 'https://s3.amazonaws.com/assets.healcode.com/javascripts/x-tag-components.js'
      }, {
        load: 'https://s3.amazonaws.com/assets.healcode.com/javascripts/application.js',
        complete: function() {
          var widgetLoadCounter = {
            count: 0,
            increment: function() {
              this.count = this.count + 1;
              return this.count;
            }
          };

          if(customElementWidgetCount > 0) {
            registerHealcodeWidgetCustomElement(hcjq, 'https://widgets.healcode.com', widgetLoadCounter);
          }

          widgetRenderURLs.forEach(function(renderURL, index, array) {
            window.hcYepnope.injectJs(renderURL, function() {
              widgetLoadCounter.increment();
            });
          });

          var delayScriptLoading = function(){
            if(widgetLoadCounter.count >= totalWidgetCount) {
              window.hcYepnope(postWidgetScripts);
              return null;
            } else {
              setTimeout(delayScriptLoading, 100);
            }
          };

          delayScriptLoading();
        }
      }]);
    }

    if(window.hcYepnope) {
      hcWidgetJsLoad();
    } else {
      window.hcLoadScript('https://s3.amazonaws.com/assets.healcode.com/javascripts/healcode.yepnope.js', hcWidgetJsLoad);
    }
  };

  var hcOnDocumentReady = function(f){/in/.test(document.readyState)?setTimeout('hcOnDocumentReady('+f+')',9):f()};

  hcOnDocumentReady(function() {
    window.healcodeInitialize(window.hcWidgetCollection); // on DOM ready, fire off initializer
  });
}