<?php
/**
 * Template Name: Staff
 * The main template file for display portfolio page.
 *
 * @package WordPress
*/


?>

<?php GetStaff_wp(); ?>

<h1 class="page-title">Staff</h1>
<?php if (have_posts()) : ?>

	<div id="staff_list" class="uk-button-dropdown" data-uk-dropdown="">
		<button class="uk-button btn1"> Choose by name <i class="uk-icon-caret-down"></i></button>
		<div class="uk-dropdown uk-dropdown-bottom uk-dropdown-scrollable" >
			<ul id="staff_filter" class="uk-nav uk-nav-dropdown">
			<li data-uk-filter=""><a href="">All</a></li>
			<?php 
				$loop = new WP_Query( array( 'post_type' => 'staff', 'posts_per_page' => '-1', 'orderby' => array( 'post_title' => 'ASC') ) ); 
				while ( $loop->have_posts() ) : $loop->the_post();  ?>
				 
			<li data-uk-filter="<?php echo basename(get_permalink());?>"><a href="#"><?php the_title();  ?></a></li>

				 
			<?php endwhile; wp_reset_query();  ?>
			</ul>
		</div>
	</div>
	<div class="uk-grid-width-1-1 uk-grid-width-medium-1-3 uk-grid-width-large-1-4 uk-text-center " data-uk-grid="{gutter: ' 20',controls: '#staff_filter'}" data-uk-scrollspy="{cls:'uk-animation-fade', target:'> div > .uk-panel'}">

		<?php	while ( have_posts() ) : the_post(); ?>

			<div data-uk-filter="<?php echo basename(get_permalink()); ?>" id="item-<?php the_ID(); ?>" data-permalink="<?php the_permalink(); ?>">
				<div class='uk-panel'>
					<div class='uk-thumbnail uk-overlay-hover uk-border-circle'>
						<figure class='uk-overlay '>
						<?php if (has_post_thumbnail()) : ?>
							<?php //the_post_thumbnail('thumbnail', array('class' => 'uk-border-circle')); ?>
						<?php endif; ?>
						<img class='uk-border-circle' width="150" height="150" src="<?php echo home_url(); ?>/wp-content/uploads/icon_staff.png" class="uk-border-circle wp-post-image" alt="" srcset="<?php echo home_url(); ?>/wp-content/uploads/icon_staff.png" sizes="(max-width: 150px) 100vw, 150px">
							<figcaption class='uk-overlay-panel uk-overlay-fade uk-overlay-background uk-flex uk-flex-center uk-flex-middle uk-text-center uk-border-circle'>
								<div>
								<p><?php the_title(); ?></p>
								<p>See my schedule</p>
								</div>
								<a class='uk-position-cover' href='<?php the_permalink() ?>'></a>
							</figcaption>
						</figure>
					</div>
				</div>
			</div>
		<?php	endwhile; ?>	
	</div>

    <?php echo $this->render("_pagination", array("type"=>"posts")); ?>

<?php endif ; ?>