<?php
/*
Template Name: Page Cart
*/

require_once(__DIR__.'/../../../stripe-config.php');

$mb = connect_mb();
$classFromUrl = $_GET['class'];
$userID = $_SESSION['client']['ID'];


$getClassById = $mb->GetClasses(array(
	'StartDateTime'=>date('Y-m-d'),
	'EndDateTime'=>date('Y-m-d', strtotime('today + 100 days')),
	'ClassIDs'=> array($classFromUrl)
)
);
$result = $getClassById['GetClassesResult']['Classes']['Class'];
$name = $result['ClassDescription']['Name'];
$date = date_format(new DateTime($result['StartDateTime']), 'D M, j');
$time = date_format(new DateTime($result['StartDateTime']), 'G\hi');
?>


<style media="screen" type="text/css">
#payment-container{
	width: 600px;
	margin-left:auto;
	margin-right:auto;
	border: 1px solid #d9dce3;
	box-shadow: 0 0 1px 1px rgba(80,84,92,.1),0 1px 2px rgba(80,84,92,.5);
	border-radius: 5px;
	background: #ffffff;
	color: #444;
	font-family: proxima-nova, "Helvetica Neue", Helvetica, Arial, sans-serif;
}
#payment-title{
	font-size: 1.5em;
	font-weight: 500;
	padding: 10px;
}

#ajax-response{
	border-top: 1px solid #d9dce3;
	margin-top: 40px;
	margin-bottom: 0px;
	padding: 10px;
	color: #6c767f;
	background: #fafbfc;
}
</style>



<script src="https://checkout.stripe.com/checkout.js"></script>

<article class="uk-article" data-permalink="<?php the_permalink(); ?>">

	<div class="content">


		<?php if($_SESSION['GUID']): ?>


			<?php if($added=="200") {?>
			<h1 class="error-message">Added</h1>

			<?php header('location:'.home_url().'/my-account/'); ?>


			<?php } elseif ($error=="601" ){ ?>
			<h1 class="error-message">You don't have enough credit to book this schedule. Please add credits <a href="#" id="payment-button">HERE</a>.</h1>



			<?php } elseif ($error=="602" ){ ?>
			<h1 class="error-message">Client is outside scheduling window.</h1>


			<?php } elseif ($error=="603" ){ ?>
			<h2 class="error-message">You've already made reservation for this class.</h2>

			<p><a href="<?php echo home_url(); ?>/class-schedule/">Book another class</a></p>

			<p><a href="<?php echo home_url(); ?>/my-account/">Go to My Account</a></p>


			<?php } else { ?>


			<?php
			function addClientToClasses($clientID, $classID){
				$mb = connect_mb();
				return $mb->AddClientsToClasses(
					array(
						'ClientIDs' => array($clientID),
						'ClassIDs' =>  array($classID),
						'RequirePayment' => false
					));

			}
			if(isset($_POST['clientID'], $_POST['classID'])){
				$clientAdded = addClientToClasses($_POST['clientID'], $_POST['classID']);
				$error = $clientAdded['AddClientsToClassesResult']['Classes']['Class']['Clients']['Client']['ErrorCode'];
				$added = $clientAdded['AddClientsToClassesResult']['ErrorCode'];
			}
			?>

			<h1 class="uk-article-title">Make a Reservation</h1>

			<p><span>You have selected the following:</span></p>
			<table id="cart_table" class="uk-table">
				<thead>
					<tr>
						<th class="uk-width-4-10 uk-text-bold">Class</th>
						<th class="uk-width-3-10 uk-text-bold">Day</th>
						<th class="uk-width-2-10 uk-text-bold">Time</th>
						<th class="uk-width-1-10"></th>
					</tr>
				</thead>
				<tbody>
					<tr>
						<td><span><?php echo $name; ?></span> </td>
						<td><?php echo $date; ?></td>
						<td><?php echo $time; ?></td>
						<td>
							<form method='POST' onsubmit="return confirm('Do you really want to cancell your class?');">
								<input type='hidden' name='classID' value='<?php echo $classFromUrl; ?>'>
								<input type='hidden' name='clientID' value='<?php echo $userID; ?>'>
								<button class="uk-close uk-close-alt" type="submit"></button>
							</form>
						</tr>
					</tbody>
				</table>

				<form class="uk-form" method='POST'>
					<div class="uk-form-row uk-hidden"><label class="uk-form-label" for="classID"></label><div class="uk-form-controls"><input type='hidden' name='classID' value='<?php echo $classFromUrl; ?>'></div></div>
					<div class="uk-form-row uk-hidden"><label class="uk-form-label" for="clientID"></label><div class="uk-form-controls"><input type='hidden' name='clientID' value='<?php echo $userID; ?>'></div></div>
					<div class="uk-form-row"><label class="uk-form-label" for="clientID"><input type="checkbox" name="q" id="a-1" required> <span>I have read and accept the <a href="#">terms and conditions</a></span></label></div>
					<button class="uk-button">Continue</button>
				</form>

				<?php } ?>

			<?php else: ?>



				<h1 class="uk-article-title">Make a Reservation</h1>

				<p><span>You have selected the following:</span></p>
				<table id="cart_table" class="uk-table">
					<thead>
						<tr>
							<th class="uk-width-4-10 uk-text-bold">Class</th>
							<th class="uk-width-3-10 uk-text-bold">Day</th>
							<th class="uk-width-2-10 uk-text-bold">Time</th>
							<th class="uk-width-1-10"></th>
						</tr>
					</thead>
					<tbody>
						<tr>
							<td><span><?php echo $name; ?></span></td>
							<td><?php echo $date; ?></td>
							<td><?php echo $time; ?></td>
							<td><a href="#" class="uk-icon-close"></a></td>
						</tr>
					</tbody>
				</table>

				<div class="uk-alert uk-alert-warning">You're not logged in. Please log-in or create a new acount if needed.</div>
				<div class="uk-grid">
					<div class="uk-width-small-1-2">
						<h3>Login</h3>
						<?php include(get_template_directory() . '/includes/login.php' ); ?>
					</div>
					<div class="uk-width-small-1-2">
						<h3>Sign up</h3>
						<?php include(get_template_directory() . '/includes/signup.php' ); ?>
					</div>
				</div>


			<?php endif; ?>
			<?php if($added=="200"): ?>
				<h1 class="error-message">Added</h1>
			<?php else: ?>
				<?php if($error=="601" ): ?>
					<h1 class="error-message">You don't have enough credit to book this schedule. Please add credits <a href="#" id="payment-button">HERE</a>.</h1>
				<?php endif; ?>
				<?php if($error=="201"): ?>
					<h1 class="error-message">Class allready starded, please choose <a href="https://www.creditaux.fr/class-schedule/">another one</a></h1>
				<?php endif; ?>
				<?php if($error=="602"): ?>
					<h1 class="error-message">Class allready starded, please choose <a href="https://www.creditaux.fr/class-schedule/">another one</a></h1>
				<?php endif; ?>
				<?php if($error=="603"): ?>
					<h1 class="error-message">Client is already booked at this time.</h1>
				<?php endif; ?>
			<?php endif; ?>

		</div>
	</article>
