<?php
/**
* @package   Master
* @author    YOOtheme http://www.yootheme.com
* @copyright Copyright (C) YOOtheme GmbH
* @license   http://www.gnu.org/licenses/gpl.html GNU/GPL
*/

// get theme configuration
include($this['path']->path('layouts:theme.config.php'));
?>
<!DOCTYPE HTML>
<html lang="<?php echo $this['config']->get('language'); ?>" dir="<?php echo $this['config']->get('direction'); ?>"  data-config='<?php echo $this['config']->get('body_config','{}'); ?>'>

<head>
<?php echo $this['template']->render('head'); ?>
</head>

<body class="<?php echo $this['config']->get('body_classes'); ?>">
<div class="wrapper">
	<div class="uk-container uk-container-center">

		
		<div class="tm-toolbar uk-clearfix uk-hidden-small">

			<?php if ($this['widgets']->count('toolbar-l')) : ?>
			<div class="uk-float-left"><?php echo $this['widgets']->render('toolbar-l'); ?></div>
			<?php endif; ?>

			
			<div class="uk-float-right"><?php if ($this['widgets']->count('toolbar-r')) : ?><?php echo $this['widgets']->render('toolbar-r'); ?><?php endif; ?>
				<div class="login-holder">
                <?php
                if($_SESSION['GUID']){
                    echo "Welcome <a href='".site_url()."/my-account/'>".$_SESSION['client']['FirstName'].' '.$_SESSION['client']['LastName'] . "</a>";
                    echo "  <a href='../logout'>Log out</a>";
                }
                else{
                    echo "<a href='".site_url()."/login/'>Login</a>";
                }
                ?>
            </div>
			</div>
			

		</div>
		

		<?php if ($this['widgets']->count('logo + headerbar')) : ?>
		<div class="tm-headerbar uk-clearfix uk-hidden-small">

			<?php if ($this['widgets']->count('logo')) : ?>
			<a class="tm-logo" href="<?php echo $this['config']->get('site_url'); ?>"><?php echo $this['widgets']->render('logo'); ?></a>
			<?php endif; ?>
			
			<?php if ($this['widgets']->count('headerbar')) : ?>
			<?php echo $this['widgets']->render('headerbar'); ?>
			<?php endif; ?>

			<?php if ($this['widgets']->count('menu + search')) : ?>
			<nav class="tm-navbar uk-navbar">

				<?php if ($this['widgets']->count('menu')) : ?>
				<?php echo $this['widgets']->render('menu'); ?>
				<?php endif; ?>

				<?php if ($this['widgets']->count('offcanvas')) : ?>
				<a href="#offcanvas" class="uk-navbar-toggle uk-visible-small" data-uk-offcanvas></a>
				<?php endif; ?>

				<?php if ($this['widgets']->count('search')) : ?>
				<div class="uk-navbar-flip">
					<div class="uk-navbar-content uk-hidden-small"><?php echo $this['widgets']->render('search'); ?></div>
				</div>
				<?php endif; ?>

				<?php if ($this['widgets']->count('logo-small')) : ?>
				<div class="uk-navbar-content uk-navbar-center uk-visible-small"><a class="tm-logo-small" href="<?php echo $this['config']->get('site_url'); ?>"><?php echo $this['widgets']->render('logo-small'); ?></a></div>
				<?php endif; ?>

			</nav>
			<?php endif; ?>
			
		</div>
		<?php endif; ?>

		<?php if ($this['widgets']->count('top-a')) : ?>
		<section class="<?php echo $grid_classes['top-a']; echo $display_classes['top-a']; ?>" data-uk-grid-match="{target:'> div > .uk-panel'}" data-uk-grid-margin><?php echo $this['widgets']->render('top-a', array('layout'=>$this['config']->get('grid.top-a.layout'))); ?></section>
		<?php endif; ?>

		<?php if ($this['widgets']->count('top-b')) : ?>
		<section class="<?php echo $grid_classes['top-b']; echo $display_classes['top-b']; ?>" data-uk-grid-match="{target:'> div > .uk-panel'}" data-uk-grid-margin><?php echo $this['widgets']->render('top-b', array('layout'=>$this['config']->get('grid.top-b.layout'))); ?></section>
		<?php endif; ?>

		<?php if ($this['widgets']->count('main-top + main-bottom + sidebar-a + sidebar-b') || $this['config']->get('system_output', true)) : ?>
		<div class="tm-middle uk-grid" data-uk-grid-match data-uk-grid-margin>

			<?php if ($this['widgets']->count('main-top + main-bottom') || $this['config']->get('system_output', true)) : ?>
			<div class="<?php echo $columns['main']['class'] ?>">

				<?php if ($this['widgets']->count('main-top')) : ?>
				<section class="<?php echo $grid_classes['main-top']; echo $display_classes['main-top']; ?>" data-uk-grid-match="{target:'> div > .uk-panel'}" data-uk-grid-margin><?php echo $this['widgets']->render('main-top', array('layout'=>$this['config']->get('grid.main-top.layout'))); ?></section>
				<?php endif; ?>

				<?php if ($this['config']->get('system_output', true)) : ?>
				<main class="tm-content">

					<?php if ($this['widgets']->count('breadcrumbs')) : ?>
					<?php echo $this['widgets']->render('breadcrumbs'); ?>
					<?php endif; ?>

					<?php echo $this['template']->render('content'); ?>

				</main>
				<?php endif; ?>

				<?php if ($this['widgets']->count('main-bottom')) : ?>
				<section class="<?php echo $grid_classes['main-bottom']; echo $display_classes['main-bottom']; ?>" data-uk-grid-match="{target:'> div > .uk-panel'}" data-uk-grid-margin><?php echo $this['widgets']->render('main-bottom', array('layout'=>$this['config']->get('grid.main-bottom.layout'))); ?></section>
				<?php endif; ?>

			</div>
			<?php endif; ?>

            <?php foreach($columns as $name => &$column) : ?>
            <?php if ($name != 'main' && $this['widgets']->count($name)) : ?>
            <aside class="<?php echo $column['class'] ?>"><?php echo $this['widgets']->render($name) ?></aside>
            <?php endif ?>
            <?php endforeach ?>

		</div>
		<?php endif; ?>

		<?php if ($this['widgets']->count('bottom-a')) : ?>
		<section class="<?php echo $grid_classes['bottom-a']; echo $display_classes['bottom-a']; ?>" data-uk-grid-match="{target:'> div > .uk-panel'}" data-uk-grid-margin><?php echo $this['widgets']->render('bottom-a', array('layout'=>$this['config']->get('grid.bottom-a.layout'))); ?></section>
		<?php endif; ?>

		<?php if ($this['widgets']->count('bottom-b')) : ?>
		<section class="<?php echo $grid_classes['bottom-b']; echo $display_classes['bottom-b']; ?>" data-uk-grid-match="{target:'> div > .uk-panel'}" data-uk-grid-margin><?php echo $this['widgets']->render('bottom-b', array('layout'=>$this['config']->get('grid.bottom-b.layout'))); ?></section>
		<?php endif; ?>
		<hr class="uk-article-divider">
		<div id="footer_grid" class="uk-grid uk-grid-collapse uk-grid-match uk-width-1-1" data-uk-grid-match="{target:'> div > .uk-panel', row:true}" >
		<div class="uk-width-small-1-3">
			<div class="">
				<div class="uk-panel uk-vertical-align" style="height:120px">
					<div class="uk-margin uk-vertical-align-middle">
						<a href="<?php home_url(); ?>"><img alt="Table IPN" src="<?php home_url(); ?>/wp-content/uploads/rasa_logo_footer.png"></a>
					</div>
				</div>
			</div>
		</div>
		<div class="uk-width-small-2-3 uk-grid uk-grid-small">
			<div class="uk-width-small-1-2 uk-width-medium-1-4">
				<div class="uk-panel uk-vertical-align" style="height:120px">
					<div class="uk-margin uk-vertical-align-middle">
						<ul class="uk-list uk-list-space">
							<li><a href="<?php home_url(); ?>/workshops/">WORKSHOPS</a></li>
							<li><a href="<?php home_url(); ?>/classes">CLASSES</a></li>
							<li><a href="<?php home_url(); ?>/class-schedule/">SCHEDEULE</a></li>
							<li><a href="<?php home_url(); ?>/staff/">STAFF</a></li>
						</ul>
					</div>
				</div>
			</div>
			<div class="uk-width-small-1-2 uk-width-medium-1-4">
				<div class="uk-panel uk-vertical-align" style="height:120px">
					<div class="uk-margin uk-vertical-align-middle">
						<ul class="uk-list uk-list-space">
							<li><a href="<?php home_url(); ?>/contact/">CONTACT</a></li>
							<li><a href="<?php home_url(); ?>/general-sales-conditions/">GENERAL SALES CONDITIONS</a></li>
							<li><a href="<?php home_url(); ?>/terms-of-use/">TERMS OF USE</a></li>
						</ul>
					</div>
				</div>
			</div>
			<div class="uk-width-small-1-2 uk-width-medium-1-4">
				<div class="uk-panel uk-vertical-align" style="height:120px">
					<div class="uk-margin uk-vertical-align-middle">
						<ul class="uk-list uk-list-space">
							<li><a href="<?php echo $this['config']->get('facebook_link'); ?>"><i class="uk-icon-facebook"></i> Facebook</a></li>
							<li><a href="<?php echo $this['config']->get('twitter_link'); ?>"><i class="uk-icon-twitter"></i> Twitter</a></li>
							<li><a href="<?php echo $this['config']->get('instagram_link'); ?>"><i class="uk-icon-instagram"></i> Instagram</a></li>
							<li><a href="<?php echo $this['config']->get('google_link'); ?>"><i class="uk-icon-google-plus"></i> Google +</a></li>
						</ul>
					</div>
				</div>
			</div>
			<div id="newsletter" class="uk-width-small-1-2 uk-width-medium-1-4">
				<div class="uk-panel uk-vertical-align" style="height:120px">
					<div id="mc_embed_signup" class="uk-vertical-align-middle"><span class="nl_title">JOIN OUR NEWSLETTER</span> <br/>
						<form action="" method="post" id="mc-embedded-subscribe-form" name="mc-embedded-subscribe-form" class="validate uk-form" target="_blank" novalidate="">
							<div id="mc_embed_signup_scroll">
							<div class="mc-field-group"><label for="mce-EMAIL"></label><input type="email" value="" name="EMAIL" class="required email" placeholder="Adresse mail" id="mce-EMAIL"></div>
							<div id="mce-responses" class="clear">
							<div class="response" id="mce-error-response" style="display:none"></div>
							<div class="response" id="mce-success-response" style="display:none"></div>
							</div>
							<div style="position: absolute; left: -5000px;" aria-hidden="true"><input type="text" name="b_f8e7e6022f9d11531fe5066fc_6baa803a65" tabindex="-1" value=""></div>
							<div class="clear submit"><input type="submit" value="ok" name="subscribe" id="mc-embedded-subscribe" class="uk-button uk-button-primary"></div>
							</div>
						</form>
					</div>
				</div>
			</div>
		</div>
		</div>
		<hr class="uk-article-divider">
		<?php if ($this['widgets']->count('footer + debug') || $this['config']->get('warp_branding', true) || $this['config']->get('totop_scroller', true)) : ?>
		<footer class="tm-footer">

			<?php if ($this['config']->get('totop_scroller', true)) : ?>
			<a class="tm-totop-scroller" data-uk-smooth-scroll href="#"></a>
			<?php endif; ?>

			<?php
				echo $this['widgets']->render('footer');
				$this->output('warp_branding');
				echo $this['widgets']->render('debug');
			?>

		</footer>
		<?php endif; ?>
	</div>

	<?php echo $this->render('footer'); ?>

	<?php if ($this['widgets']->count('offcanvas')) : ?>
	<div id="offcanvas" class="uk-offcanvas">
		<div class="uk-offcanvas-bar"><?php echo $this['widgets']->render('offcanvas'); ?></div>
	</div>
	<?php endif; ?>
</div>
</body>
</html>